[aliases]
test=pytest

[coverage:run]
source = ligo
omit = ligo/followup_advocate/test/*

[metadata]
name = ligo-followup-advocate
license = GPL-2+
license_file = COPYING.md
description = LIGO/Virgo Follow-up Advocate Tools
long_description = This package provides tools for LIGO/Virgo follow-up advocates to assist in tasks such as drafting astronomical bulletins for gravitational-wave detections.
author = Leo Singer
author_email = leo.singer@ligo.org
url = https://git.ligo.org/emfollow/ligo-followup-advocate
classifiers =
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)
    Operating System :: POSIX
    Programming Language :: Python :: 3.6
    Topic :: Scientific/Engineering :: Astronomy
    Topic :: Scientific/Engineering :: Physics
scripts = bin/ligo-followup-advocate

[options]
packages = find:
python_requires = >= 3.6
namespace_packages = ligo
tests_require =
    pytest >= 3.0
    pytest-mock

[options.entry_points]
console_scripts =
    ligo-followup-advocate = ligo.followup_advocate.tool:main

[options.package_data]
ligo.followup_advocate.templates = *.jinja2
ligo.followup_advocate.test = data/*/*.json, data/*/files/*.json, data/*/files/*.xml
